Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456241 - "INFO: possible recursive locking detected" with 2.6.27-0.166.rc0.git8.fc10.i686
Summary: "INFO: possible recursive locking detected" with 2.6.27-0.166.rc0.git8.fc10.i686
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Target
TreeView+ depends on / blocked
 
Reported: 2008-07-22 13:35 UTC by Tom London
Modified: 2008-10-27 03:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-27 03:31:36 UTC


Attachments (Terms of Use)

Description Tom London 2008-07-22 13:35:37 UTC
Description of problem:
I get the following with every boot of -0.166 (but the backtraces vary slight).

System is Thinkpad X60 running latest rawhide.

firmware: requesting iwlwifi-3945-1.ucode
iscsi: registered transport (iser)
Registered led device: iwl-phy0:radio
Registered led device: iwl-phy0:assoc
Registered led device: iwl-phy0:RX
Registered led device: iwl-phy0:TX

=============================================
[ INFO: possible recursive locking detected ]
2.6.27-0.166.rc0.git8.fc10.i686 #1
---------------------------------------------
NetworkManager/2524 is trying to acquire lock:
 (&dev->addr_list_lock){-...}, at: [<c060b6b8>] dev_mc_sync+0x1c/0x59

but task is already holding lock:
 (&dev->addr_list_lock){-...}, at: [<c06075e6>] dev_set_rx_mode+0x19/0x2b

other info that might help us debug this:
2 locks held by NetworkManager/2524:
 #0:  (rtnl_mutex){--..}, at: [<c061079a>] rtnetlink_rcv+0x17/0x2b
 #1:  (&dev->addr_list_lock){-...}, at: [<c06075e6>] dev_set_rx_mode+0x19/0x2b

stack backtrace:
Pid: 2524, comm: NetworkManager Not tainted 2.6.27-0.166.rc0.git8.fc10.i686 #1
 [<c044ae2b>] __lock_acquire+0x6b6/0x975
 [<c0449482>] ? trace_hardirqs_off_caller+0x15/0x91
 [<c044a08e>] ? mark_held_locks+0x4e/0x66
 [<c044a210>] ? trace_hardirqs_on_caller+0xe3/0x11a
 [<c044a252>] ? trace_hardirqs_on+0xb/0xd
 [<c044b154>] lock_acquire+0x6a/0x90
 [<c060b6b8>] ? dev_mc_sync+0x1c/0x59
 [<c067b852>] _spin_lock_bh+0x26/0x53
 [<c060b6b8>] ? dev_mc_sync+0x1c/0x59
 [<c060b6b8>] dev_mc_sync+0x1c/0x59
 [<f921aaf5>] ieee80211_set_multicast_list+0xd9/0xe1 [mac80211]
 [<c06073ff>] __dev_set_rx_mode+0x89/0x8c
 [<c06075ed>] dev_set_rx_mode+0x20/0x2b
 [<c060921e>] dev_open+0x96/0xb9
 [<c0608c31>] dev_change_flags+0xa1/0x154
 [<c060facc>] ? rtnl_setlink+0x0/0xdb
 [<c060fa1a>] do_setlink+0x26b/0x31d
 [<c067b640>] ? _read_unlock+0x22/0x25
 [<c060facc>] ? rtnl_setlink+0x0/0xdb
 [<c060fba3>] rtnl_setlink+0xd7/0xdb
 [<c061094b>] rtnetlink_rcv_msg+0x19d/0x1b7
 [<c06107ae>] ? rtnetlink_rcv_msg+0x0/0x1b7
 [<c061e4a2>] netlink_rcv_skb+0x35/0x7b
 [<c06107a6>] rtnetlink_rcv+0x23/0x2b
 [<c061e09c>] netlink_unicast+0xf6/0x14c
 [<c061e329>] netlink_sendmsg+0x237/0x244
 [<c05fcf98>] __sock_sendmsg+0x4a/0x53
 [<c05fd7a8>] sock_sendmsg+0xbd/0xd3
 [<c043e016>] ? autoremove_wake_function+0x0/0x38
 [<c043e016>] ? autoremove_wake_function+0x0/0x38
 [<c041dd7e>] ? need_resched+0x18/0x22
 [<c051341b>] ? copy_from_user+0x3e/0x125
 [<c0603fd2>] ? verify_iovec+0x45/0x73
 [<c05fd902>] sys_sendmsg+0x144/0x197
 [<c05fe391>] ? sys_recvmsg+0x11b/0x180
 [<c0449482>] ? trace_hardirqs_off_caller+0x15/0x91
 [<c0449509>] ? trace_hardirqs_off+0xb/0xd
 [<c040892f>] ? native_sched_clock+0xac/0xc8
 [<c04087b3>] ? sched_clock+0x8/0xb
 [<c0448a92>] ? lock_release_holdtime+0x1a/0x115
 [<c044a226>] ? trace_hardirqs_on_caller+0xf9/0x11a
 [<c044a252>] ? trace_hardirqs_on+0xb/0xd
 [<c04245c4>] ? hrtick_set+0x7f/0xdf
 [<c0679c58>] ? schedule+0x6fb/0x71a
 [<c05fe8b3>] sys_socketcall+0x170/0x18d
 [<c040a2fa>] ? syscall_trace_enter+0xa1/0xb5
 [<c0403c0a>] syscall_call+0x7/0xb
 [<c067007b>] ? agp_amd64_probe+0xd8/0x458
 =======================
ADDRCONF(NETDEV_UP): wlan0: link is not ready


Version-Release number of selected component (if applicable):
kernel-2.6.27-0.166.rc0.git8.fc10.i686

How reproducible:
Every boot

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom London 2008-08-12 17:42:24 UTC
No longer see this with current kernels.

Close?


Note You need to log in before you can comment on or make changes to this bug.